Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5392 - String actions in ibm_hosts cause the keyboard to lock
Summary: String actions in ibm_hosts cause the keyboard to lock
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: x3270
Version: 8.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-27 12:07 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-11 15:50:15 UTC


Attachments (Terms of Use)

Description Pekka Savola 1999-09-27 12:07:01 UTC
x3270-3.1.1.6-7

Having string actions in /usr/X11R6/lib/X11/x3270/ibm_hosts
cause the keyboard to lock up - you must use x3270 special
action 'Reset' to wake it up again.  This effectively
renders all ibm_hosts scripting useless.

Example ibm_hosts (doesn't work):
-----
test primary test.xxx.fi test\n
-----
Example 2 (doesn't work either):
-----
test primary test.xxx.fi String(test) Enter()
-----
Example 3 (does work):
-----
test primary test.xxx.fi Reset()
-----

This is probably related to the other x3270 problem I have
submitted.

There were no problems using x3270 3.0 source code.

Comment 1 Jeff Johnson 2000-10-23 14:14:38 UTC
Does this problem still exist in x3270-3.2.13?

Comment 2 Pekka Savola 2000-10-23 20:43:39 UTC
Unfortunately, x3270 is no longer used here so I can't test it. :-(

Comment 3 Stephen John Smoogen 2003-01-23 21:17:20 UTC
This problem still exists in the Red Hat Linux 7.3 version of x3270-3.2.18-2 and
will test against the 8.0.x betas but I do not see changes large enough to fix this.

Comment 4 Karsten Hopp 2003-02-11 15:50:15 UTC
I'm using minor variations of examples 1 and 2 to log on to our  MP3000 with x3270-3.2.19-4 


Note You need to log in before you can comment on or make changes to this bug.